using System;
using Seasar.Extension.ADO;

namespace Seasar.Extension.ADO.Impl
{
    class SqlLogImpl : ISqlLog
    {
        private String rawSql;

        private String completeSql;

        private Object[] bindArgs;

        private Type[] bindArgTypes;

        public SqlLogImpl(String rawSql, String completeSql, Object[] bindArgs, Type[] bindArgTypes)
        {
            this.rawSql = rawSql;
            this.completeSql = completeSql;
            this.bindArgs = bindArgs;
            this.bindArgTypes = bindArgTypes;
        }

        public object[] getBindArgs()
        {
            return bindArgs;
        }

        public Type[] getBindArgTypes()
        {
            return bindArgTypes;
        }

        public string getCompleteSql()
        {
            return completeSql;
        }

        public string getRawSql()
        {
            return rawSql;
        }

        public String toString()
        {
            return rawSql;
        }
    }
}
